Bug 37773 - FILESAVE FILEOPEN Draw exporting .odg to .eps removes inserted image
Summary: FILESAVE FILEOPEN Draw exporting .odg to .eps removes inserted image
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
3.3.2 release
Hardware: x86 (IA32) All
: lowest minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Draw-Images
  Show dependency treegraph
 
Reported: 2011-05-30 18:40 UTC by Christopher M. Penalver
Modified: 2019-12-03 13:57 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
EPS.odg (19.44 KB, application/vnd.oasis.opendocument.graphics)
2011-05-30 18:40 UTC, Christopher M. Penalver
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christopher M. Penalver 2011-05-30 18:40:39 UTC
Created attachment 47344 [details]
EPS.odg

Downstream bug may be found at:
https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/253670

OOo bug may be found at:
http://qa.openoffice.org/issues/show_bug.cgi?id=47237

1) lsb_release -rd
Description: Ubuntu 11.04
Release: 11.04

2) apt-cache policy libreoffice-draw
libreoffice-draw:
  Installed: 1:3.3.2-1ubuntu5
  Candidate: 1:3.3.2-1ubuntu5
  Version table:
 *** 1:3.3.2-1ubuntu5 0
        500 http://us.archive.ubuntu.com/ubuntu/ natty-updates/main i386 Packages
        100 /var/lib/dpkg/status
     1:3.3.2-1ubuntu4 0
        500 http://us.archive.ubuntu.com/ubuntu/ natty/main i386 Packages

apt-cache policy unoconv
unoconv:
  Installed: 0.3-6
  Candidate: 0.3-6
  Version table:
 *** 0.3-6 0
        500 http://us.archive.ubuntu.com/ubuntu/ natty/universe i386 Packages
        100 /var/lib/dpkg/status

3) What is expected to happen in LibreOffice Draw via the Terminal:

cd ~/Desktop && wget https://bugs.launchpad.net/ubuntu/+source/openoffice.org/+bug/253670/+attachment/364486/+files/EPS.odg && unoconv --listener && unoconv -f eps EPS.odg && lodraw -nologo EPS.odg EPS.eps

the two files look the same.

4) What happens instead is the image at the bottom right of EPS.eps disappears.
Comment 1 Björn Michaelsen 2011-12-23 12:06:41 UTC Comment hidden (obsolete)
Comment 2 Christopher M. Penalver 2012-01-03 18:55:54 UTC
Reproducible in:
LOdev 3.5.0beta2 
Build ID: 8589e48-760cc4d-f39cf3d-1b2857e-60db978
Microsoft Windows Vista Business 6.0.6002 Service Pack 2 Build 6002
Comment 3 retired 2013-09-01 12:19:03 UTC
Christopher, is this bug still valid / reproducible with the latest LO release from http://www.libreoffice.org/download/ ?

When I open your example file I have no option to save to .eps file format. Maybe this option was removed, which would make this bug a wontfix?
Comment 4 Christopher M. Penalver 2013-09-01 12:50:33 UTC
James, thanks for checking in. Unfortunately, the situation has gotten worse, as a regression in displaying the original .odg occurred with:
Microsoft Windows Vista Business x86 6.0.6002 Service Pack 2 Build 6002
Version: 4.1.1.2
Build ID: 7e4286b58adc75a14f6d83f53a03b6c11fa2903

instead of showing a squiggly line at the bottom right, it shows nothing.
Comment 5 QA Administrators 2015-04-01 14:42:18 UTC Comment hidden (obsolete)
Comment 6 Buovjaga 2015-04-24 13:22:11 UTC
Is it equal to unoconv, if I just export to EPS? Because it works ok.

Win 7 Pro 64-bit Version: 5.0.0.0.alpha1+ (x64)
Build ID: f3375fa07f27bd2ade519af3c07d69040d10eaa9
TinderBox: Win-x86_64@42, Branch:master, Time: 2015-04-22_23:38:50
Locale: fi_FI
Comment 7 Buovjaga 2015-04-24 18:10:18 UTC
(In reply to Beluga from comment #6)
> Is it equal to unoconv, if I just export to EPS? Because it works ok.
> 
> Win 7 Pro 64-bit Version: 5.0.0.0.alpha1+ (x64)
> Build ID: f3375fa07f27bd2ade519af3c07d69040d10eaa9
> TinderBox: Win-x86_64@42, Branch:master, Time: 2015-04-22_23:38:50
> Locale: fi_FI

Scratch that, actually on open the EPS is not displayed, only its Title, Creation info etc. For some reason I believed it was the image :D
Comment 8 QA Administrators 2016-09-20 09:33:16 UTC Comment hidden (obsolete)
Comment 9 QA Administrators 2019-12-03 13:57:22 UTC
Dear Christopher M. Penalver,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug